| Home | Libraries | People | FAQ | More

## Function operator|

boost::mpi::operator| — Computes the union of two process groups.

## Synopsis

    // In header: <boost/mpi/group.hpp>

    BOOST_MPI_DECL group operator|(const group & g1, const group & g2);

## Description

This routine returns a new `group` that contains all processes that are either in group `g1` or in group `g2` (or both). The processes that are in `g1` will be first in the resulting group, followed by the processes from `g2` (but not also in `g1`). Equivalent to `MPI_Group_union`.